﻿using FichaBackend.Models;
using FichaBackend.Services;
using Microsoft.AspNetCore.Mvc;

namespace FichaBackend.Controllers;

[ApiController]
[Route("v1/")]
public class MainController : ControllerBase
{

    private readonly ILogger<MainController> _logger;
    private readonly IPublicDataService _publicDataService;

    public MainController(ILogger<MainController> logger, IPublicDataService publicDataService)
    {
        _logger = logger;
        _publicDataService = publicDataService;
    }
    
    [HttpGet("GetAllCity")]
    public async Task<IEnumerable<City>> GetAllCity()
    {
        return await _publicDataService.GetAllCity();
    }
    
    [HttpGet("GetAllMoviesInCity/{cityName}")]
    public async Task<IEnumerable<Film>> GetAllMoviesInCityWithPuskinCard(string cityName)
    {
        return await _publicDataService.GetAllFilmsInCity(cityName);
    }
    
}